version: 1

containers:
  main:
    image: pihole/pihole:latest
    ingress_port: 80
    public_ports:
      53: 53
      udp:
        53: 53
        67: 67
    environment:
      TZ: 'America/Chicago'
      WEBPASSWORD: {{ derive_entropy(identifier="pw") }}
    mounts:
        data:
            pihole/etc: ./etc-pihole:/etc/pihole
            pihole/dnsmasq: ./etc-dnsmasq.d:/etc/dnsmasq.d
    cap_add:
      - NET_ADMIN
